baseURL = "https://codechina.gitcode.host/developer-roadmap/av/intro/"
#baseURL = "/"
Languages = "zh-cn"
title = "音视频 - IT技术知识开源图谱"
theme = ["dot","hugo-theme-pdf-js"]

[markup.goldmark.renderer]
unsafe = true


############################# Default Parameters ##########################
[params]
# logo is for all page
logo = ""
# logo white is for homepage logo, you can use colorful logo too...
logo_white = ""
# when logo is empty, it will shown your site title
copyright = "[CODE CHINA](https://codechina.csdn.net/) © 2020 a Hugo theme by [Gethugothemes](https://gethugothemes.com/)"




# customize color 
primary_color = "#ee2b45"
body_color = "#f9f9f9"
text_color = "#636363"
text_color_dark = "#242738"
white_color = "#ffffff"
light_color = "#ffdd77"

# font family
# font_family = "lato" # Choose font family from : https://fonts.google.com/

# contact form action
contact_form_action = "#" # contact form works with : https://formspree.io


############################## social links ##############################
  
[[params.social]]
icon = "ti-code" # themify icon pack : https://themify.me/themify-icons
link = "https://codechina.csdn.net/codechina/developer-roadmap/av/intro"


################################ 中文 ######################
# [Languages]
# languageName = "中文"
# languageCode = "zh-cn"
# weight = 0


# banner
[params.banner]
title = "IT技术知识开源图谱"
subtitle = "音视频技术路线图"
bg_image = "images/banner.jpg"
placeholder = "输入关键词"

# call to action
[params.cta]
# enable = true
# title = "Didn't find an answer to your question?"
#content = "Musce libero nunc, dignissim quis turpis quis, semper vehicula dolor. Suspendisse tincidunt consequat quam."
# call to action button
[params.cta.button]
# enable = true
# label = "contact us"
# link = "contact"


################## navigation #################
[[menu.main]]
name = "初阶"
url = "/junior"
weight = 2

[[menu.main]]
name = "中阶"
url = "/intermediate"
weight = 3

[[menu.main]]
name = "高阶"
url = "/senior"
weight = 4


# Dropdown menu
[[menu.main]]
weight = 5
name = "路线图"
url = "htpps://dev-roadmap.gitcode.host/"
hasChildren = true

  [[menu.main]]
  parent = "路线图"
  name = "前端技术学习路线图"
  url = "https://codechina.gitcode.host/developer-roadmap/frontend/intro/"
  weight = 4

  [[menu.main]]
  parent = "路线图"
  name = "后端技术学习路线图"
  url = "https://codechina.gitcode.host/developer-roadmap/backend/intro/"
  weight = 13

  [[menu.main]]
  parent = "路线图"
  name = "DevOps 技术学习路线图"
  url = "https://codechina.gitcode.host/developer-roadmap/devops/intro/"
  weight = 5

  [[menu.main]]
  parent = "路线图"
  name = "测试技术学习路线图"
  url = "https://codechina.gitcode.host/developer-roadmap/test/intro/"
  weight = 6

  [[menu.main]]
  parent = "路线图"
  name = "安全技术学习路线图"
  url = "https://codechina.gitcode.host/developer-roadmap/security/intro/"
  weight = 7

  [[menu.main]]
  parent = "路线图"
  name = "云原生技术学习路线图"
  url = "https://codechina.gitcode.host/developer-roadmap/cloud-native/intro/"
  weight = 8
  
  [[menu.main]]
  parent = "路线图"
  name = "音视频技术学习路线图"
  url = "https://codechina.gitcode.host/developer-roadmap/av/intro/"
  weight = 9

  [[menu.main]]
  parent = "路线图"
  name = "区块链技术学习路线图"
  url = "https://codechina.gitcode.host/developer-roadmap/blockchain/intro/"
  weight = 10

  [[menu.main]]
  parent = "路线图"
  name = "HarmonyOS 开发学习路线图"
  url = "https://codechina.gitcode.host/developer-roadmap/harmonyos/intro/"
  weight = 11

  [[menu.main]]
  parent = "路线图"
  name = "Python 学习路线图"
  url = "https://codechina.gitcode.host/developer-roadmap/python/intro/"
  weight = 1

  [[menu.main]]
  parent = "路线图"
  name = "Go 学习路线图"
  url = "https://codechina.gitcode.host/developer-roadmap/go/intro/"
  weight = 2

  [[menu.main]]
  parent = "路线图"
  name = "音视频技术学习路线图"
  url = "https://codechina.gitcode.host/developer-roadmap/go/intro/"
  weight = 10

  [[menu.main]]
  parent = "路线图"
  name = "Rust 学习路线图"
  url = "https://codechina.gitcode.host/developer-roadmap/rust/intro/"
  weight = 3

[[menu.main]]
name = "CODE CHINA"
url = "https://codechina.csdn.net/dev-roadmap"
weight = 7

[[menu.main]]
name = "我也要贡献"
weight = 6
hasChildren = true

  [[menu.main]]
  parent = "我也要贡献"
  name = "我要补充学习资源"
  url = "https://codechina.csdn.net/codechina/developer-roadmap/av/intro/-/issues"
  weight = 1

  [[menu.main]]
  parent = "我也要贡献"
  name = "我要补充领域"
  url = "https://codechina.csdn.net/dev-roadmap/dev-roadmap.gitcode.host/-/issues"
  weight = 2

  [[menu.main]]
  parent = "我也要贡献"
  name = "我要反馈建议"
  url = "https://codechina.csdn.net/codechina/developer-roadmap/av/intro/-/issues"
  weight = 3

  [[menu.main]]
  parent = "我也要贡献"
  name = "如何参与贡献？"
  url = "https://codechina.csdn.net/codechina/developer-roadmap/av/intro/-/blob/pages/CONTRIBUTING.md"
  weight = 4